Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.yativo.com/llms.txt

Use this file to discover all available pages before exploring further.

Source of funds declaration is required after KYC approval and before card creation. There are two endpoints:
  1. GET /v1/yativo-card/customers/:yativoCardId/source-of-funds — fetch the questions
  2. POST /v1/yativo-card/customers/:yativoCardId/source-of-funds — submit answers

Get Questions

Authorization
string
required
Bearer token: Bearer YOUR_ACCESS_TOKEN
yativoCardId
string
required
The customer’s yativo_card_id.
locale
string
Language for questions, e.g. en, de, fr. Defaults to en.
curl -X GET 'https://crypto-api.yativo.com/api/v1/yativo-card/customers/yativo_card_customer_8f9a..._1769031332068/source-of-funds' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
  "success": true,
  "message": "Source of Funds questions retrieved",
  "data": {
    "yativo_card_id": "yativo_card_customer_8f9a..._1769031332068",
    "status": "questions_retrieved",
    "questions": [
      {
        "question": "EMPLOYMENT_STATUS",
        "label": "What is your employment status?",
        "options": ["EMPLOYED", "SELF_EMPLOYED", "UNEMPLOYED", "STUDENT", "RETIRED"]
      },
      {
        "question": "SOURCE_OF_INCOME",
        "label": "What is your primary source of income?",
        "options": ["SALARY", "BUSINESS_INCOME", "INVESTMENT", "PENSION", "OTHER"]
      }
    ],
    "next_step": "Submit answers using POST /source-of-funds"
  }
}

Submit Answers

answers
array
required
Array of answer objects. Each must have question (the question ID from GET) and answer (selected option).
curl -X POST 'https://crypto-api.yativo.com/api/v1/yativo-card/customers/yativo_card_customer_8f9a..._1769031332068/source-of-funds' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "answers": [
      {"question": "EMPLOYMENT_STATUS", "answer": "EMPLOYED"},
      {"question": "SOURCE_OF_INCOME", "answer": "SALARY"}
    ]
  }'
{
  "success": true,
  "message": "Source of Funds submitted successfully",
  "data": {
    "yativo_card_id": "yativo_card_customer_8f9a..._1769031332068",
    "status": "completed",
    "submitted_at": "2026-04-01T12:15:00.000Z",
    "next_step": "Verify phone number using POST /phone/request-verification"
  }
}